packaging: allow running packaging with custom uid+gid for CentOS
ClosedPublic

Authored by Mathiasdm on Jan 11 2019, 9:28 AM.

Details

Summary

rpmbuild in CentOS 7 has a bug causing rpmbuild to fail
with "Bad owner/group" if spec or source files are owned
by a different user: https://github.com/rpm-software-management/rpm/issues/2

This makes it very annoying to try and build the CentOS RPMs
on CentOS with Docker.

As an alternative, this change makes it possible to do so,
using an environment variable.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
Mathiasdm created this revision.Jan 11 2019, 9:28 AM
Mathiasdm updated this revision to Diff 13209.Jan 14 2019, 10:12 AM
Closed by commit rHG4c0d4bbdc395: packaging: allow running packaging with custom uid+gid for CentOS (authored by Mathias De Mare <mathias.de_mare@nokia.com>, committed by ). · Explain WhyJan 16 2019, 4:34 AM
This revision was automatically updated to reflect the committed changes.